#include<bits/stdc++.h>
#include<string.h>
using namespace std;
int main()
{
    long long n,chetni=0,nechetni=0,ch[999],nech[999],br1=0,br2=0;
    cin>>n;
    long long nums[n];
    for(int i=0; i<n; i++)
    {
        cin>>nums[i];
        if(nums[i]%2==0)
        {
            ch[br1]=nums[i];
            br1++;
        }
        if(nums[i]%2==1)
        {
            nech[br2]=nums[i];
            br2++;
        }
    }
   for(int i=2;i<ch[br1-1];i++)
   {
       if(i%2==0)
       {
           bool flag=false;
           for(int j=0;j<br1;j++)
           {
               if(i==ch[j])flag=true;
           }
           if(flag==false)chetni++;
       }
   }
   for(int i=1;i<nech[br2-1];i++)
   {
       if(i%2==1)
       {
           bool flag=false;
           for(int j=0;j<br2;j++)
           {
               if(i==nech[j])flag=true;
           }
           if(flag==false)nechetni++;
       }
   }


    cout<<nechetni<<" "<<chetni;
}
